PluginPathAwareFileSystemResourceLoader (Grails 6.0.0)

Package: org.grails.core.io

## [Java] Class PluginPathAwareFileSystemResourceLoader

- org.grails.core.io.PluginPathAwareFileSystemResourceLoader

-     public class PluginPathAwareFileSystemResourceLoader
      extends org.springframework.core.io.FileSystemResourceLoader

  FileSystemResourceLoader capable of understanding paths to plugins via the ResourceLocator interface

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `private static class` | `PluginPathAwareFileSystemResourceLoader.FileSystemContextResource` | FileSystemResource that explicitly expresses a context-relative path through implementing the ContextResource interface.

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `WEB_APP_DIRECTORY` |
    `ResourceLocator` | `resourceLocator` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.core.io.FileSystemResourceLoader` | `CLASSPATH_URL_PREFIX`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.springframework.core.io.Resource` | `getResourceByPath(java.lang.String path)`
    `` | `public void` | `setSearchLocations(java.util.Collection<java.lang.String> searchLocations)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.io.FileSystemResourceLoader` | `org.springframework.core.io.FileSystemResourceLoader#addProtocolResolver(org.springframework.core.io.ProtocolResolver), org.springframework.core.io.FileSystemResourceLoader#getProtocolResolvers(), org.springframework.core.io.FileSystemResourceLoader#clearResourceCaches(), org.springframework.core.io.FileSystemResourceLoader#getResourceCache(java.lang.Class), org.springframework.core.io.FileSystemResourceLoader#setClassLoader(java.lang.ClassLoader), org.springframework.core.io.FileSystemResourceLoader#getClassLoader(), org.springframework.core.io.FileSystemResourceLoader#getResource(java.lang.String), org.springframework.core.io.FileSystemResourceLoader#wait(long), org.springframework.core.io.FileSystemResourceLoader#wait(long, int), org.springframework.core.io.FileSystemResourceLoader#wait(), org.springframework.core.io.FileSystemResourceLoader#equals(java.lang.Object), org.springframework.core.io.FileSystemResourceLoader#toString(), org.springframework.core.io.FileSystemResourceLoader#hashCode(), org.springframework.core.io.FileSystemResourceLoader#getClass(), org.springframework.core.io.FileSystemResourceLoader#notify(), org.springframework.core.io.FileSystemResourceLoader#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String WEB_APP_DIRECTORY

    - #### ResourceLocator resourceLocator

  - ### Method Detail

    - #### @java.lang.Override protected org.springframework.core.io.Resource getResourceByPath(java.lang.String path)

    - #### public void setSearchLocations(java.util.Collection<java.lang.String> searchLocations)